/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s):
 *   Adrian Mastronardi <adrianm@museo.fcnym.unlp.edu.ar>
 */


/*
 * doXxxx function's
 */

function doSearch() {
  var url = "";
	var cgi_to_run = "";
	var parm_to_cgi = "";
	var search_for = document.getElementById('database').value; //database or service to search

	switch (search_for) {
      case 'JournalBrowser':
				url = "http://www.ncbi.nlm.nih.gov/entrez/";
				cgi_to_run = "jrbrowser.cgi?";
				parm_to_cgi = "field=0&dispmax=20&dispstart=0&regexp=" + document.getElementById('queryTextbox').value;
				break;
      case 'MeSHBrowser':
				url = "http://www.ncbi.nlm.nih.gov/entrez/";
				cgi_to_run = "meshbrowser.cgi?";
				parm_to_cgi = "retrievestring=&term=" + document.getElementById('queryTextbox').value + "&mbdetail=n";
				break;
      case 'MedlinePlus':
				url = "http://wwwindex.nlm.nih.gov/cgi/";
				cgi_to_run = "htsearch?";
				parm_to_cgi = "words=" + document.getElementById('queryTextbox').value + "&config=medplus%5Ffuzzy" + "&method=and" + "&format=builin%2Dshort" + "&restric=" + "&search_type=All%20MEDLINEplus";
				break;
      case 'ClinicalTrials.gov':
				url = "http://clinicaltrials.gov/ct/gui/c/w2b/screen/OpeningScreen/action/";
				cgi_to_run = "SearchAction?";
				parm_to_cgi = "JServSessionIdzone_ct=gcwtr2m7v1&Term=" + document.getElementById('queryTextbox').value;
				break;
      case 'PubMedCentral':
				url = "http://www.pubmedcentral.nih.gov/";
				cgi_to_run = "tocrender.fcgi?";
				parm_to_cgi = "action=search&terms=" + document.getElementById('queryTextbox').value + "&startpage=1";
				break;
    	default :
				url = "http://www.ncbi.nlm.nih.gov/entrez/";
				cgi_to_run = "query.fcgi?";
				parm_to_cgi = "cmd=search&db=" + document.getElementById('database').value + "&term=" + document.getElementById('queryTextbox').value;
	}

	//alert("Comando a correr: "+url+cgi_to_run+parm_to_cgi);

  _content.location.href = url+cgi_to_run+parm_to_cgi;
}

function doClear() {
	document.getElementById('queryTextbox').value = "";
}


/*
 * goMenuXxxx function's
 */

/**
 * The menu option pubmed-Cubby can't passed using oncommand="window._content..."
 * because there are a & char in URL and XUL take it as entity
 **/
function goMenuCubby() {
	_content.location.href = "http://www.ncbi.nlm.nih.gov/entrez/login.fcgi?call=so.SignOn..Login";
}

function goMenuHelp() {
	alert("Sorry, this toolbar is under construction...");
}

function goMenuAbout() {
	window.openDialog("chrome://pubmed/content/about.xul","showmore","chrome");
}
